ビジネスサポートポータルアカウントでログイン
Deep Security Agent のインストールパッケージの内容  

Deep Security Agent のインストールパッケージの内容

    • 更新日:
    • 20 Jun 2019
    • 製品/バージョン:
    • Trend Micro Deep Security 10.All
    • Trend Micro Deep Security 11.All
    • Trend Micro Deep Security 12.All
    • Trend Micro Deep Security 9.5
    • Trend Micro Deep Security 9.6
    • OS:
    • Linux すべて
    • Windows すべて
概要
Deep Security Agent (DSA) のインストールパッケージには多数のファイルが存在しますが、インストールには全てのファイルが必要になるのでしょうか。
詳細
Public
DSA9.5以降のインストールパッケージはZIP圧縮形式で提供されており、圧縮ファイル内には以下のファイルが存在します。


  • META-INFフォルダ:Deep Security Manager(DSM)から各コンポーネントを配信するために必要となる各コンポーネントの情報(ローカルインストールする際には使用されません)
  • Agent-Core-* (msiまたはrpmパッケージ):インストーラ本体
  • Feature-*.dsp:各機能をインストールするためのモジュール
  • Plugin-*.dsp:各機能で必要なプラグインモジュール


各機能に必要なモジュールは、DSAの有効化後にポリシーが適用されたタイミングで、DSR から配信されます。そのため、DSRと通信可能な環境の場合は、DSAのインストーラ(Agent-Core-*)のみコピーして実行いただければ問題ありません。

なお、DSAがDSRへ直接接続できない環境の場合は、DSRを介さずにプラグインモジュールをインストールすることも可能です。詳細な手順については下記の製品Q&A をご参照ください。




各機能に必要なモジュールの一覧

機能必要となるファイル
不正プログラム対策Feature-AM-*.dsp
Plugin-Update-*.dsp(共有モジュール)
Plugin-TMUFE-*.dsp(DS 11.0 以降)
Plugin-VFS_Filter-*.dsp (Red Hat / SuSEのみ)
WebレピュテーションFeature-WRS-*.dsp
Plugin-Filter-*.dsp(共有モジュール)
ファイアウォールFeature-FW-*.dsp
Plugin-FWDPI-*.dsp
Plugin-Filter-*.dsp(共有モジュール)
侵入防御Feature-DPI-*.dsp
Plugin-FWDPI-*.dsp
Plugin-Filter-*.dsp(共有モジュール)
変更監視Feature-IM-*.dsp
セキュリティログ監視Feature-LI-*.dsp
Relay (64ビットOSのみ)Feature-Relay-*.dsp
Plugin-Update-*.dsp(共有モジュール)
Virtual AppliancePlugin-VMWARE-*.dsp
(Red Hat Enterprise Linux 用の DSVA の場合のみ)
SAP(DS 9.6以降)
Feature-SAP-*.dsp
Azure環境のサポート
(DS 9.6SP1以降)
Plugin-AZURE-*.dsp(Windowsのみ)
アプリケーションコントロール
(DS 10.0以降)
Feature-AC-*.dsp
Plugin-AC_Filter-*.dsp

DSRと直接通信できない環境用のインストールパッケージ等、カスタマイズしたインストールパッケージを作成する場合は、誤って必要なファイルを削除したり、不要なファイルを含めないようにご注意ください。

  • 複数機能で使用している共有モジュールは、該当モジュールを使用する全ての機能を使用しない場合のみ削除できます。

  • Red Hat Enterprise Linux 用のDSAパッケージにのみ存在する Plugin-VMWARE-*.dsp は、DSVA専用のプラグインです。DSA用のインストールパッケージを作成する際は削除する必要があります。

  • 以下製品がインストールされている環境では、不正プログラム対策モジュールである "Feature-AM-*.dsp" 及び"Plugin-VFS_Filter*.dsp"(RedHad/SUSEのみ)を削除する必要があります。

     - ServerProtect for NT
     - ServerProtect for Linux
     - ウイルスバスター コーポレートエディション
     - ウイルスバスター ビジネスセキュリティ

Premium
Internal
評価:
カテゴリ:
インストール
Solution Id:
1112403
ご提案/ご意見
このソリューションはお役に立ちましたか?

フィードバックありがとうございました!

いただいたご提案/ご意見に関して、トレンドマイクロから詳細確認のため、Eメールを送付させていただく場合がありますので、Eメールアドレスを入力してください:
入力いただいたEメールアドレスはソリューション改善のためだけに使用いたします.

*こちらに技術的なご質問などをいただきましてもご返答する事ができません.

何卒ご了承いただきますようお願いいたします.


To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.


ユーザーガイド